JAXB v2.2.7

# Serialized Form

Package javax.xml.bind

Class javax.xml.bind.DataBindingException extends RuntimeException implements Serializable

Class javax.xml.bind.JAXBElement extends Object implements Serializable

serialVersionUID: 1L

Serialized Fields

### name

    QName name

  xml element tag name

### declaredType

    Class<T> declaredType

  Java datatype binding for xml element declaration's type.

### scope

    Class<T> scope

  Scope of xml element declaration representing this xml element instance. Can be one of the following values: - `JAXBElement.GlobalScope` for global xml element declaration. - local element declaration has a scope set to the Java class representation of complex type defintion containing xml element declaration.

### value

    Object value

  xml element value. Represents content model and attributes of an xml element instance.

### nil

    boolean nil

  true iff the xml element instance has xsi:nil="true".

Class javax.xml.bind.JAXBException extends Exception implements Serializable

serialVersionUID: -5621384651494307979L

Serialized Fields

### errorCode

    String errorCode

  Vendor specific error code

### linkedException

    Throwable linkedException

  Exception reference

Class javax.xml.bind.JAXBPermission extends BasicPermission implements Serializable

serialVersionUID: 1L

Class javax.xml.bind.MarshalException extends JAXBException implements Serializable

Class javax.xml.bind.PropertyException extends JAXBException implements Serializable

Class javax.xml.bind.TypeConstraintException extends RuntimeException implements Serializable

Serialized Fields

### errorCode

    String errorCode

  Vendor specific error code

### linkedException

    Throwable linkedException

  Exception reference

Class javax.xml.bind.UnmarshalException extends JAXBException implements Serializable

Class javax.xml.bind.ValidationException extends JAXBException implements Serializable

JAXB v2.2.7

Comments to: spec-comments@jsr222.java.net
More information at: http://jaxb.java.net

Copyright © 2004-2011 Oracle